### 5.1.112 ord

`Syntax:`
  `ord (` poly_expression `)`
  `ord (` vector_expression `)`
`Type:`
  int
`Purpose:`
  returns the (weighted) degree of the initial term of a polynomial or a vector; the weights are the weights used for the first block of the ring ordering.
`Note:`
  `ord(0)` is `-1`.
  In a global degree ordering `ord` is the same as `deg`.
`Example:`

        ring r=7,(x,y),wp(2,3);
        ord(0);
      ==> -1
        poly f=x2+y3;  // weight on y is 3
        ord(f),deg(f);
      ==> 9 9
        ring R=7,(x,y),ws(2,3);
        poly f=x2+y3;
        ord(f),deg(f);
      ==> 4 9
        vector v=[x2,y];
        ord(v),deg(v);
      ==> 3 4

See deg; poly; vector.

User manual for Singular version 4.4.1, 2025, generated by texi2html.